{#
/**
 * @file
 * Bootstrap Barrio's theme implementation for a branding block.
 *
 * Each branding element variable (logo, name, slogan) is only available if
 * enabled in the block configuration.
 *
 * Available variables:
 * - site_logo: Logo for site as defined in Appearance or theme settings.
 * - site_name: Name for site as defined in Site information settings.
 * - site_slogan: Slogan for site as defined in Site information settings.
 */
#}
{% set attributes = attributes.addClass('site-branding') %}
  {% if site_logo or site_name %}
  <div id="block-leaf-base-sitebranding" class="contextual-region clearfix block block-branding block-config-provider--system block-plugin-id--">
    <div class="block__inner block-branding__inner">
      <div class="block__content block-branding__content site-branding">
        <a href="{{ path('<front>') }}" title="{{ 'Home'|t }}" rel="home" class="navbar-brand site-branding__logo-link">
          {% if site_logo %}
            <img src="{{ site_logo }}" alt="{{ 'Home'|t }}" class="img-fluid d-inline-block align-top" />
          {% endif %}
          {{ site_name }}
        </a>
      </div>
    </div>
  </div>
  {% endif %}
  {% if site_slogan %}
    <div class="d-inline-block align-top site-name-slogan">
      {{ site_slogan }}
    </div>
  {% endif %}
